Package htsjdk.variant.variantcontext

# Enum Class GenotypeType

java.lang.Object
java.lang.Enum<GenotypeType>
htsjdk.variant.variantcontext.GenotypeType

All Implemented Interfaces:
  `Serializable`, `Comparable<GenotypeType>`, `Constable`

public enum GenotypeType extends Enum<GenotypeType>
Summary types for Genotype objects

Since:
  Date created

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HET`
The sample is heterozygous, with at least one ref and at least one one alt in any order
`HOM_REF`
The sample is homozygous reference
`HOM_VAR`
All alleles are non-reference
`MIXED`
Some chromosomes are NO_CALL and others are called
`NO_CALL`
The sample is no-called (all alleles are NO_CALL
`UNAVAILABLE`
There is no allele data availble for this sample (alleles.isEmpty)

## Method Summary

Modifier and Type
Method
Description
`static GenotypeType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GenotypeType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NO_CALL

public static final GenotypeType NO_CALL
The sample is no-called (all alleles are NO_CALL

### HOM_REF

public static final GenotypeType HOM_REF
The sample is homozygous reference

### HET

public static final GenotypeType HET
The sample is heterozygous, with at least one ref and at least one one alt in any order

### HOM_VAR

public static final GenotypeType HOM_VAR
All alleles are non-reference

### UNAVAILABLE

public static final GenotypeType UNAVAILABLE
There is no allele data availble for this sample (alleles.isEmpty)

### MIXED

public static final GenotypeType MIXED
Some chromosomes are NO_CALL and others are called

## Method Details

### values

public static GenotypeType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static GenotypeType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null